Subject: Patch for bug #15739

From: Matt Sicker <[email-masked]>
Date: Sun, 27 Oct 2013 17:10:24 -0500

I noticed that clang reports to be GCC version 4.2, so most of what I
thought might be wrong wasn't. Therefore, the patch was far easier and
smaller than I expected. This isn't too high a priority, but it does add
support for clang where the code would normally check for GCC 4.3+. Clang
even supports C++ static_assert supposedly, so there's a check for that as
well.

-- 
Matt Sicker <[email-masked]>